Subject: Re: [PATCH] git-reset.txt: Use uniform HEAD~N notation in all examples

From: Jari Aalto <[email-masked]>
Date: Sat, 01 Sep 2007 23:40:55 +0300

Shawn Bohrer <[email-masked]> writes:

> On Sat, Sep 01, 2007 at 02:40:22AM -0700, Junio C Hamano wrote:
>
>> Jari Aalto <[email-masked]> writes:
>> 
>> > Like:
>> >
>> >     HEAD, HEAD~1, HEAD~2
>> >
>> > If the syntax is changed in the middle (as it was in manual page),
>> > that interrupts the kognitive flow of reading.
>> >
>> >     HEAD, HEAD^, HEAD~2
>> >
>> 
>> I still would prefer to teach people HEAD^ earlier.  If you _REALLY_
>> insist, I can live with spelling the HEAD~2 as HEAD^^ for
>> consistency.
>
> Well I am a new user to git and I didn't find the mixed notation
> confusing at all.  Perhaps this is because I read the tutorial first,
> then the git user manual which both explain this clearly.

Naturally one's learning path is naturally different. Did you come
from other SCM/VCS before intorduced to git?

> In either case I think eliminating either notation from the man pages is
> a bad idea.

That was not proposed. There a mnay pages that use and shoudl use the
^ notations. I was proposing that only (git-COMMAND) were dealt with.

After all, the ^ very differento to what other SCM/VCSs use.

Jari

-- 
Welcome to FOSS revolution: we fix and modify until it shines